Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class ConsultAmppComponentEquivalentType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentEquivalentKeyType
          be.fgov.ehealth.dics.protocol.v4.ConsultAmppComponentEquivalentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:28:56+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultAmppComponentEquivalentType

extends AmppComponentEquivalentKeyType
implements Serializable

Java class for ConsultAmppComponentEquivalentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmppComponentEquivalentType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:actual:common}AmppComponentEquivalentKeyType">
           <sequence>
             <element name="Content" type="{urn:be:fgov:ehealth:dics:core:v4:core}QuantityType"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultAmppComponentEquivalentType()`

Method Summary
`QuantityType` | `getContent()` Gets the value of the content property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setContent(QuantityType value)` Sets the value of the content property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentEquivalentKeyType
`getSequenceNr, setSequenceNr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultAmppComponentEquivalentType

    public ConsultAmppComponentEquivalentType()

Method Detail

### getContent

    public QuantityType getContent()

  Gets the value of the content property.

  Returns:
    possible object is `QuantityType`

### setContent

    public void setContent(QuantityType value)

  Sets the value of the content property.

  Parameters:
    `value` - allowed object is `QuantityType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.